<!DOCTYPE html>
<html>
  <head>
    <title>Tareas</title>
  </head>
  <body>
    <label>Ingrese tarea</label>
    <input id="nombreTarea" />
    <button onclick="agregarTarea()">Agregar</button>
    <ul id="listaTareas">
    </ul>
    <span>Cantidad de tareas: <span id="numeroTareas">0</span></span>
    <script>
      const nombreTarea = document.getElementById('nombreTarea')
      const listaTareas = document.getElementById('listaTareas')
      const numeroTareas = document.getElementById('numeroTareas')
      let totalTareas = 0

      function agregarTarea() {
        const tarea = document.createElement('li')
        tarea.innerHTML = nombreTarea.value

        listaTareas.appendChild(tarea)

        totalTareas++
        numeroTareas.innerHTML = totalTareas
      }
    </script>
  </body>
</html>
